Get a cited research brief for a ticker or canonical entity
curl --request GET \
--url https://beliefstate.ai/v1/brief \
--header 'Authorization: Bearer <token>'import requests
url = "https://beliefstate.ai/v1/brief"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://beliefstate.ai/v1/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view": "overview",
"overview_version": "security-brief-overview-v1",
"schema_version": "1",
"generated_at": "2023-11-07T05:31:56Z",
"as_of": "2023-11-07T05:31:56Z",
"data_status": {
"mode": "live",
"freshness": "current",
"coverage": "complete",
"latest_observation_at": "2023-11-07T05:31:56Z",
"limitations": [
"<string>"
],
"market_freshness": {
"status": "current",
"expected_session": "2023-12-25",
"security_through": "2023-12-25",
"benchmark_through": "2023-12-25",
"reason": "<string>"
}
},
"security": {
"id": "<string>",
"ticker": "<string>",
"name": "<string>"
},
"market_price": {
"status": "current",
"basis": "adjusted_daily_close",
"reference": {
"price": 123,
"currency": "USD",
"session_date": "2023-12-25",
"provider_observed_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"observation_hash": "<string>"
}
},
"coverage": {
"released_record_count": 4503599627370495,
"returned_view_count": 4503599627370495,
"omitted_record_count": 4503599627370495,
"detail_available": true
},
"trade_state": {
"action": "BUY",
"direction": "bullish",
"decision_mode": "one_sided",
"reasons": [
{
"text": "<string>",
"truncated": true
}
],
"watch_conditions": [
{
"text": "<string>",
"truncated": true
}
],
"omitted_watch_condition_count": 4503599627370495,
"setups": [
{
"direction": "bullish",
"posture": "long_watch",
"price_confirmation": "working",
"thesis_ids": [
"<string>"
],
"conditions": [
{
"kind": "catalyst",
"statement": {
"text": "<string>",
"truncated": true
},
"status": "pending",
"expected_by": "2023-11-07T05:31:56Z",
"citation_id": "<string>"
}
],
"omitted_condition_count": 4503599627370495
}
]
},
"views": [
{
"belief_id": "<string>",
"person": {
"id": "<string>",
"name": "<string>",
"handle": "<string>"
},
"direction": "bullish",
"status": "forming",
"summary": {
"text": "<string>",
"truncated": true
},
"first_observed_at": "2023-11-07T05:31:56Z",
"latest_revision_at": "2023-11-07T05:31:56Z",
"support": {
"claim_id": "<string>",
"statement": {
"text": "<string>",
"truncated": true
},
"citation_id": "<string>"
},
"risk": {
"claim_id": "<string>",
"statement": {
"text": "<string>",
"truncated": true
},
"citation_id": "<string>"
},
"omitted_claim_count": 4503599627370495,
"condition": {
"validity": "conditions_supported",
"external_state": "clear",
"blockers": [
{
"text": "<string>",
"truncated": true
}
],
"omitted_blocker_count": 4503599627370495
},
"source_citation_id": "<string>",
"investment_case": {
"schema_version": "investment-case-v1",
"paragraphs": [
{
"text": "<string>",
"citation_ids": [
"<string>"
]
}
]
},
"author_intent": {
"action": "buy",
"basis": "recommendation",
"time_context": "current",
"instrument": "equity",
"methodology_version": "belief-author-intent-v1",
"status": "not_assessed",
"observation_id": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"statement": "<string>",
"citation_ids": [
"<string>"
]
}
],
"citation_ids": [
"<string>"
],
"execution_verified": false,
"position_actor": {
"kind": "author_personal",
"name": null
},
"additional_intents": [
{
"action": "buy",
"basis": "recommendation",
"time_context": "current",
"instrument": "equity",
"conditions": [
{
"statement": "<string>",
"citation_ids": [
"<string>"
]
}
],
"citation_ids": [
"<string>"
],
"position_actor": {
"kind": "author_personal",
"name": null
}
}
]
}
}
],
"chart": {
"measure": "normalized_security_and_spy_price_index",
"baseline_value": 100,
"from_session": "2023-12-25",
"to_session": "2023-12-25",
"market_data_through": "2023-12-25",
"sampled_from_points": 4503599627370495,
"series": [
{
"session_date": "2023-12-25",
"security_index": 123,
"benchmark_index": 123,
"excess_return_percent": 123
}
],
"markers": [
{
"occurred_at": "2023-11-07T05:31:56Z",
"session_date": "2023-12-25",
"kind": "initiated",
"thesis_id": "<string>",
"person_id": "<string>",
"direction": "bullish",
"label": "<string>",
"citation_ids": [
"<string>"
]
}
],
"omitted_marker_count": 4503599627370495,
"limitations": [
"<string>"
]
},
"citations": [
{
"citation_id": "<string>",
"evidence_id": "<string>",
"source_url": "<string>",
"source_title": "<string>",
"author_name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"warnings": [
"<string>"
],
"related_context": {
"basis": "direct_and_related",
"summary": {
"text": "<string>",
"truncated": true
},
"related_beliefs": [
{
"belief_id": "<string>",
"ticker": "<string>",
"person": "<string>",
"summary": {
"text": "<string>",
"truncated": true
},
"relationship": "same_industry",
"citation_id": "<string>"
}
],
"omitted_related_count": 4503599627370495,
"limitations": [
"<string>"
]
},
"canonical_entity": {
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "company",
"namespace": "<string>",
"canonical_key": "<string>",
"name": "<string>",
"security_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recorded_at": "2023-11-07T05:31:56Z",
"available_at": "2023-11-07T05:31:56Z",
"release_effective_at": "2023-11-07T05:31:56Z",
"aliases": [
{
"alias": "<string>",
"assertion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence_id": "<string>",
"confidence": 0.9,
"available_at": "2023-11-07T05:31:56Z",
"citation_ids": [
"<string>"
]
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"recovery": "<string>",
"retryable": true
}
}Get an evidence backed research brief for a ticker
Get an evidence-backed brief for a ticker, including cited investor theses, changes, and risks.
GET
/
v1
/
brief
Get a cited research brief for a ticker or canonical entity
a ticker brief with the evidence and observation times needed to audit each claim.
Authorizations
Developer API key created through /auth.md. Never paste it into a retail chat.
Headers
Stable 1–128 character ID for an idempotent retry. Reuse the same value only for the same logical request.
Maximum string length:
128Pattern:
^[A-Za-z0-9._~:+/=-]+$Query Parameters
Required string length:
1 - 32Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Required range:
1 <= x <= 20Available options:
overview, full Released canonical entity ID from get_beliefs view=entities. Use exactly one of ticker or entity_id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Successful read only response
- Option 1
- Option 2
- Option 3
- Option 4
Allowed value:
"overview"Allowed value:
"security-brief-overview-v1"Allowed value:
"1"Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

